/*** Palette ***/
body {
  background-color: var(--mdc-theme-background);
}
/*** END Palette ***/

/*** Typography ***/
.mdc-typography--headline1 {
  color: var(--mdc-theme-on-surface);
}

.mdc-typography--subtitle2 {
  color: var(--mdc-theme-text-secondary-on-background);
}
/*** END Typography ***/

/*** GRID and main components sizes***/
html,
body,
body > * {
  height: 100vh;
}

body > aside,
.content {
  overflow: auto;
}

body {
  margin: 0;
  display: flex;
}

body > section {
  flex-grow: 2;
  display: flex;
  flex-direction: column;
}

body > section > .content {
  flex-grow: 2;
  display: flex;
}

main {
  max-width: 1280px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

header > h1 {
  margin-bottom: 0;
  display: flex;
}

body > section > header {
  height: 4rem;
  box-sizing: border-box;
  flex-shrink: 0;
  display: flex;
  justify-content: flex-end;
}

body > section > header > *,
body > section > header .mdc-button {
  height: 100%;
  box-sizing: border-box;
}

body > section > header .logo {
  margin: auto;
}

main > *:not(.mdc-data-table) {
  margin: 1em;
}

header .logo {
  height: 1.5em;
  display: block;
}

table {
  width: 100%;
}

.info-message {
  text-align: center;
}

img {
  max-width: 100%;
}

aside header {
  padding: 0.5em 1em;
  margin-bottom: 1em;
}

aside header .logo {
  height: 3em;
  width: 12em;
}

.main-content {
  display: flex;
  align-items: center;
  justify-content: center;
}

.toolbar {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}

.toolbar {
  --mdc-shape-small: 2em;
}

.toolbar .mdc-button {
  padding: 1em 2em;
  height: unset;
}

.mdc-drawer .mdc-list-item {
  padding: 0 1rem;
  margin: 0.5rem 0;
}

.row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mdc-select.mdc-select--outlined .mdc-select__anchor,
.row .mdc-button {
  width: 100%;
  min-width: 14rem;
  height: 3rem;
}

.mdc-button {
  padding: 0;
}

body > section > header,
aside.mdc-drawer .mdc-list-item {
  --mdc-shape-small: 0;
}
/*** END GRID***/
